net.i2p.router

## Interface MessageSelector

- All Known Implementing Classes:
    FloodOnlyLookupSelector, SearchMessageSelector, StoreMessageSelector

      public interface MessageSelector

  Define a mechanism to select what messages are associated with a particular OutNetMessage. This is used for finding replies to messages.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `continueMatching()` Returns true if the selector should still keep searching for further matches
    `long` | `getExpiration()` Returns the # of milliseconds since the epoch after which this selector should stop searching for matches
    `boolean` | `isMatch(I2NPMessage message)` Returns true if the received message matches the selector

- - ### Method Detail

    - #### isMatch

          boolean isMatch(I2NPMessage message)

      Returns true if the received message matches the selector

    - #### continueMatching

          boolean continueMatching()

      Returns true if the selector should still keep searching for further matches

    - #### getExpiration

          long getExpiration()

      Returns the # of milliseconds since the epoch after which this selector should stop searching for matches